At starte en db i libreoffice i en ny dist

allanhilliger
Antal: 10
Tilmeldt:
16-12-2017
User is offline
At starte en db i libreoffice i en ny dist

Jeg har problemmer med "jre" i min nyistalleret distro (prøvet mint, debian og ubunto), hvor jeg prøver at starte en database i libreoffice.

Er der nogen som kan hjælpe??

Ps: har prøvet at installere seneste java 8u151, men mint/libreoffice giver mig stadigvæk prob nok at javaen ik er installeret korrekt.


osjensen
osjensen's picture
Antal: 1196
Tilmeldt:
14-01-2007
User is offline
På en Ikke mint, debian og

Velkommen Allan.

På den her Ikke mint, debian og ubunto, er
java-1.8.0-sun installeret, sammen med libreoffice Version: 5.3.3.2.

Så fik jeg installeret Version: 5.4.3.2, og den virker med den samme java.

Libreoffice installeres direkte fra deres server, så den er helt "ægte".


FrugalMan
FrugalMan's picture
Antal: 1033
Tilmeldt:
18-12-2007
User is offline
Har du prøvet at læse i

Har du prøvet at læse i dokumentionen https://www.libreoffice.org/get-help/documentation...


frogmaster
frogmaster's picture
Antal: 3321
Tilmeldt:
20-05-2010
User is offline
Ps: har prøvet at

#0: Ps: har prøvet at installere seneste java 8u151, men mint/libreoffice giver mig stadigvæk prob nok at javaen ik er installeret korrekt.

Nu ved jeg ikke helt hvilken Linux du nu har installeret, men for Mint, Ubuntu, Debian og derivater, inklusiv DEB kompatible backend Linux, så er det eneste du formentlig behøver, at installere JRE.

Åbn en terminal og skriv:
sudo apt-get install openjdk-8-jre
Skriv dit password og tryk Enter (openjdk-8-jre installeres fra internettet).

Start LibreOffice Base og opret en ny database. Med mindre der er andet i vejen, så bør du se dette resultat:

https://www.dropbox.com/s/8pd54dvevye4c0a/libreoff...

------

Hvis ikke du har den nyeste LibreOffice 5.4.3, kan du downloade og installere den herfra, men bemærk at det er DEB installation og det er 64 bit (Hvis ikke dette matcher din Linux, skal du selv ændre så det passer):
https://www.libreoffice.org/download/download/?typ...

Du skal også downloade Translated User Interface og LibreOffice built-in-help

- Du installere ved at højreklikke på tar.gz filerne, en af gangen, og vælg Udpak her. Vælg først selve LibreOffice mappen.

- Derefter gør det samme med Translated User Interface og LibreOffice built-in-help

Åbn mapperne i samme rækkefølge, en af gangen, helt indtil DEB-filerne, højreklik på en tomt område i mappen, vælg Åbn i terminal og skriv:

sudo dpkg -i *.deb

Det vil installere alle DEB filerne i mappen, på en gang, i den rigtige rækkefølge

------

Hvis du har en ældre installation af LibreOffice installeret, så bemærk at du formentlig ønsker at afinstallere den, før du begynder på noget andet, ved at køre kommandoerne herunder, en af gangen, i samme rækkefølge som de er skrevet:

sudo apt-get remove --purge libreoffice*
sudo apt-get clean
sudo apt-get autoremove

Du er nu klar til at installere LibreOffice 5.4.3 og openjdk-8-jre ...


allanhilliger
Antal: 10
Tilmeldt:
16-12-2017
User is offline
deb vs rpm installationspakker

Hej frogmaster

Jeg har læst at deb er til debian og rpm er til red hat, men grundlæggende er det gamle versioner af libreoffice som er præinstalleret på mint, debian og ubuntu.

Det jeg vil prøve på i dag er at installere den nyeste libreoffice, altså version 5.4.3 og se om javaen fungere, på debian vers. 9, som er præinstalleret.

Jeg er ny i Linux mht at installere i konsolen, så det skal nok blive en udfordring.

Tak for hjælpen frogmaster og du må endelig komme med input hvis du synes!!

/allan


frogmaster
frogmaster's picture
Antal: 3321
Tilmeldt:
20-05-2010
User is offline
Hej igen allanhilliger#4:

Hej igen allanhilliger

#4: Jeg har læst at deb er til debian og rpm er til red hat, men grundlæggende er det gamle versioner af libreoffice som er præinstalleret på mint, debian og ubuntu.

Det er helt korrekt. Derfor er det en god ide at afinstallere de præinstallerede ældre installationer først. Ikke fordi de er dårlige, men fordi du ellers ender op med to LibreOffice versioner.

Imidlertid er openjdk-8-jre, der er problemet i din forespørgsel vedr. LibreOffice Base, ikke standard installeret i eksempelvis Mint 18.x, men Base (også nyeste LibreOffice 5.4 version) skal bruge den. Derfor skal openjdk-8-jre installeres som beskrevet i #3

Java 8u151 er Oracle's Java version. Dvs ikke Open Source Java. Det er velkendt at to Java versioner er inkompatible installeret på samme system, selv to versioner fra samme producent. Derfor Er det en god ide at afinstallere Java 8u151.

Ellers er der ikke så meget mere at tilføje, med mindre du ønsker hjælp til eksempelvis terminalen (konsollen hvis det er KDE du har installeret som Desktop Environment), eller noget andet du er i tvivl om.


allanhilliger
Antal: 10
Tilmeldt:
16-12-2017
User is offline
svar på #5

Hej frogmaster

Tak igen for dit indlæg. Jeg fik hentet debian 9.3 x64 ned idag og nu virker db'en i libreoffice også selvom det er en vers5.2. Jeg kunne se i installationen af debian har valgt javaen "openjdk-8-jre" der er præinstalleret, men mit prob går/gik nok mere på at installere i konsolen (terminalen) som er meget anderledes end windows, hvor man klikker med musen på en installationsfil og så sker der noget.

Et andet prob er at startikonet i startmappen ik ligger sig der, når jeg installere via konsolen. Hvad gør jeg forkert??

/allan


osjensen
osjensen's picture
Antal: 1196
Tilmeldt:
14-01-2007
User is offline
men mit prob går/gik nok

men mit prob går/gik nok mere på at installere i konsolen (terminalen) som er meget anderledes end windows,

Der er ingen der tvinger dig til at installere i konsolen. Det kan udmærket vente, til du er mere øvet. Brug synaptic, eller en anden pakke-håndtering, hvis det er lettere for dig.
Du kan søge i pakkerne, og se alt det der er at vælge imellem.

https://youtu.be/y3iCO4zvaXM

I videoen glemmer damen at klikke på "Reload" i synaptic. Det er altid det første man gør, for at få de sidste opdateringer, med i pakkelisten.


frogmaster
frogmaster's picture
Antal: 3321
Tilmeldt:
20-05-2010
User is offline
Som #7 osjensen nævner, så

Som #7 osjensen nævner, så kan du installere med brug af den indbyggede pakke manager. Imidlertid er der 6 forskellige DE (Desktop Environments eller på dansk - Skrivebordsmiljøer) til Debian, hvor kun Synaptic er ens i dem alle. De 6 skrivebordsmiljøer er: (GNOME, KDE, LXDE, Xfce, Cinnamon og MATE).

Synaptic har ikke den mest brugervenlige GUI, men fordi den er ens i alle DE, så er den nemmest at beskrive.

Alt efter hvilken DE du har valgt, er det en god ide at lære pakke-manageren at kende. Jeg kan ikke vise dem i Debian, fordi jeg ikke har den installeret, men jeg kan vise to af dem i Mint med Cinnamon DE fra denne korte video herunder. Jeg viser også, ganske kort, installering fra terminalen.

Du skal naturligvis forvente en indlæringskurve, men jeg kan berolige med at det er et vanespørgsmål, ganske som i Windows og Mac.

https://www.dropbox.com/s/wvpstaxd3cwga1h/packet-m...

#6: Et andet prob er at startikonet i startmappen ik ligger sig der, når jeg installere via konsolen. Hvad gør jeg forkert??

Jeg er ikke sikker på jeg forstår hvad du mener. Er det startmenuen og LibreOffice ikonerne der ikke vises? Hvis ja, så prøv at genstarte for at se om menuen opdateres.